//typedef char CHAR;
typedef signed int INT32;
typedef	unsigned long U_LONG;
#define		SUCCESS		1
#define		FAILURE		0
#ifndef __ODBD_H__

#define __ODBC_H__

#ifdef  __cplusplus
extern "C" {
#endif

//#define  CONSTR              (SQLCHAR *)"DRIVER={MySQL ODBC 5.3 ANSI Driver};SERVER=172.21.34.87;UID=root;PWD=226;DATABASE=userlogin;CharSet=gbk;"
//#define  CONLEN              sizeof(CONSTR)-1
#define  MAXCONLEN 255
#define  SQL_QUERY_BUFF_SIZE 512
#define  CON_STR_LEN         255

#define DEBUGMSG1 printf
#define DEBUGMSG3 printf


#ifdef ODBC_PUBLIC 
	SQLHENV   hEnv = 0;
	SQLHDBC   hDBC = 0;
	SQLHSTMT  hStmt = 0;
	SQLRETURN retcode;
	SQLCHAR   szConStr[CON_STR_LEN];
	SQLCHAR   szStmt[SQL_QUERY_BUFF_SIZE];
	//gint16     cbConLen;
#endif

	/*
	* Function protypes  are declared here
	*/

	int InitAndConnectToDBS(void);
	CHAR InsertRowIntoDBS(CHAR *tName, CHAR *queryStr, INT32 queryStrLen);
	CHAR**  GetFieldValuesFromDBS(CHAR* qStr, INT32 noOfCols, INT32 len, U_LONG **resultPtrLen);
	void CloseConnectionToDBS(void);
	CHAR UpdateColumnsInDBS(CHAR *tName, CHAR* queryStr, INT32 queryStrLen);
	void FreeDBSResultPtr(CHAR **ptr, INT32 cnt, U_LONG *ptrLen);
	void PrintDBSError(void);
	CHAR DeleteRowFromDBS(CHAR* queryStr, INT32 queryStrLen);
#ifdef  __cplusplus
}
#endif

#endif /* ifndef __ODBC_H__ */
